Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.wml.dom
Class WMLInputElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.wml.dom.WMLElementImpl
                                    |
                                    +--weblogic.apache.wml.dom.WMLInputElementImpl

public class WMLInputElementImpl
extends WMLElementImpl
implements WMLInputElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: WMLInputElementImpl.java,v 1.1 2000/04/23 18:07:47 david Exp $
Author:
  David Li
See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Constructor Summary
`WMLInputElementImpl(WMLDocumentImpl owner, java.lang.String tagName)`

Method Summary
`java.lang.String` | `getClassName()`
`boolean` | `getEmptyOk()`
`java.lang.String` | `getFormat()`
`java.lang.String` | `getId()`
`int` | `getMaxLength()`
`java.lang.String` | `getName()`
`int` | `getSize()`
`int` | `getTabIndex()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getType()`
`java.lang.String` | `getValue()`
`java.lang.String` | `getXmlLang()`
`void` | `setClassName(java.lang.String newValue)`
`void` | `setEmptyOk(boolean newValue)`
`void` | `setFormat(java.lang.String newValue)`
`void` | `setId(java.lang.String newValue)`
`void` | `setMaxLength(int newValue)`
`void` | `setName(java.lang.String newValue)`
`void` | `setSize(int newValue)`
`void` | `setTabIndex(int newValue)`
`void` | `setTitle(java.lang.String newValue)`
`void` | `setType(java.lang.String newValue)`
`void` | `setValue(java.lang.String newValue)`
`void` | `setXmlLang(java.lang.String newValue)`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WMLInputElementImpl

    public WMLInputElementImpl(WMLDocumentImpl owner,
                               java.lang.String tagName)

Method Detail

### setSize

    public void setSize(int newValue)

  Specified by:
    setSize in interface WMLInputElement

### getSize

    public int getSize()

  Specified by:
    getSize in interface WMLInputElement

### setFormat

    public void setFormat(java.lang.String newValue)

  Specified by:
    setFormat in interface WMLInputElement

### getFormat

    public java.lang.String getFormat()

  Specified by:
    getFormat in interface WMLInputElement

### setValue

    public void setValue(java.lang.String newValue)

  Specified by:
    setValue in interface WMLInputElement

### getValue

    public java.lang.String getValue()

  Specified by:
    getValue in interface WMLInputElement

### setMaxLength

    public void setMaxLength(int newValue)

  Specified by:
    setMaxLength in interface WMLInputElement

### getMaxLength

    public int getMaxLength()

  Specified by:
    getMaxLength in interface WMLInputElement

### setTabIndex

    public void setTabIndex(int newValue)

  Specified by:
    setTabIndex in interface WMLInputElement

### getTabIndex

    public int getTabIndex()

  Specified by:
    getTabIndex in interface WMLInputElement

### setClassName

    public void setClassName(java.lang.String newValue)

  Overrides:
    setClassName in class WMLElementImpl

### getClassName

    public java.lang.String getClassName()

  Overrides:
    getClassName in class WMLElementImpl

### setXmlLang

    public void setXmlLang(java.lang.String newValue)

  Specified by:
    setXmlLang in interface WMLInputElement

  Overrides:
    setXmlLang in class WMLElementImpl

### getXmlLang

    public java.lang.String getXmlLang()

  Specified by:
    getXmlLang in interface WMLInputElement

  Overrides:
    getXmlLang in class WMLElementImpl

### setEmptyOk

    public void setEmptyOk(boolean newValue)

  Specified by:
    setEmptyOk in interface WMLInputElement

### getEmptyOk

    public boolean getEmptyOk()

  Specified by:
    getEmptyOk in interface WMLInputElement

### setTitle

    public void setTitle(java.lang.String newValue)

  Specified by:
    setTitle in interface WMLInputElement

### getTitle

    public java.lang.String getTitle()

  Specified by:
    getTitle in interface WMLInputElement

### setId

    public void setId(java.lang.String newValue)

  Overrides:
    setId in class WMLElementImpl

### getId

    public java.lang.String getId()

  Overrides:
    getId in class WMLElementImpl

### setType

    public void setType(java.lang.String newValue)

  Specified by:
    setType in interface WMLInputElement

### getType

    public java.lang.String getType()

  Specified by:
    getType in interface WMLInputElement

### setName

    public void setName(java.lang.String newValue)

  Specified by:
    setName in interface WMLInputElement

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface WMLInputElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference